---
- name: Install php 7.4 requirements
  become: yes
  apt:
    package:
      - libonig-dev
    state: present
    update_cache: yes
    cache_valid_time: '{{ apt_cache_valid_time }}'
  when: php_version.release == 7.4

- name: Install {{ php_version.name }}
  command: '/usr/local/bin/phpbrew install {{ php_version.name }} +default +mysql +sqlite +pdo +mbstring +intl -- --with-openssl'
  args:
    creates: '~/.phpbrew/php/{{ php_version.name }}/bin/php'
  environment:
    PKG_CONFIG_PATH: ''